package com.admin.major.domain;

import com.admin.common.annotation.Excel;
import com.admin.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 班级管理对象 m_class_info
 *
 * @author ljx
 * @date 2022-05-18
 */
public class ClassInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 班级id */
    @Excel(name = "班级id")
    private Long classId;

    /** 班级名称 */
    @Excel(name = "班级名称")
    private String className;

    /** 班级容量 */
    @Excel(name = "班级容量")
    private Integer classNumber;

    /** 专业id */
    @Excel(name = "专业id")
    private String majorId;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 更新人id */
    @Excel(name = "更新人id")
    private Long updateUserId;

    /** 创建人id */
    @Excel(name = "创建人id")
    private Long createUserId;

    /** 学院id */
    @Excel(name = "学院id")
    private Long collegeId;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    public void setClassId(Long classId)
    {
        this.classId = classId;
    }

    public Long getClassId()
    {
        return classId;
    }
    public void setClassName(String className)
    {
        this.className = className;
    }

    public String getClassName()
    {
        return className;
    }
    public void setClassNumber(Integer classNumber)
    {
        this.classNumber = classNumber;
    }

    public Integer getClassNumber()
    {
        return classNumber;
    }
    public void setMajorId(String majorId)
    {
        this.majorId = majorId;
    }

    public String getMajorId()
    {
        return majorId;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setUpdateUserId(Long updateUserId)
    {
        this.updateUserId = updateUserId;
    }

    public Long getUpdateUserId()
    {
        return updateUserId;
    }
    public void setCreateUserId(Long createUserId)
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId()
    {
        return createUserId;
    }
    public void setCollegeId(Long collegeId)
    {
        this.collegeId = collegeId;
    }

    public Long getCollegeId()
    {
        return collegeId;
    }
    public void setYear(String year)
    {
        this.year = year;
    }

    public String getYear()
    {
        return year;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("classId", getClassId())
                .append("className", getClassName())
                .append("classNumber", getClassNumber())
                .append("majorId", getMajorId())
                .append("status", getStatus())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .append("updateUserId", getUpdateUserId())
                .append("createUserId", getCreateUserId())
                .append("collegeId", getCollegeId())
                .append("year", getYear())
                .toString();
    }
}
